# cloud.netig.net

## Cron

Add this line into the host crontab with `crontab -e`.
```
# Nextcloud
*/5 * * * * nerdctl exec -u www-data cloudnetignet_nextcloud php /var/www/html/cron.php
```

## Config

```
# nerdctl exec --user www-data cloudnetignet_nextcloud php occ background:cron
# nerdctl exec --user www-data cloudnetignet_nextcloud php occ config:system:set maintenance_window_start --value="4" --type=integer
# nerdctl exec --user www-data cloudnetignet_nextcloud php occ config:system:set default_phone_region --value="fr"
```

## Maintenance

```
# nerdctl exec --user www-data cloudnetignet_nextcloud php occ maintenance:repair --include-expensive
# nerdctl exec --user www-data cloudnetignet_nextcloud php occ db:add-missing-indices
```

## Privacy

Disable the contact menu.
```
# nerdctl exec --user www-data -ti cloudnetignet_nextcloud sed -i '/<div id="contactsmenu"><\/div>/d' core/templates/layout.user.php
```

Disable the unified search menu.
```
# nerdctl exec --user www-data -ti cloudnetignet_nextcloud sed -i '/<div id="unified-search"><\/div>/d' core/templates/layout.user.php
```

## Tips

To Clear logs.
```
# rm /srv/cloud.netig.net/volumes/nextcloud/data/nextcloud.log
```
